<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>新增内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">图标</label>
                    <div class="layui-input-block">
                        <input type="hidden" id="configColumnGroupPhoto" name="configColumnGroupPhoto">
                        <div class="layui-btn-container" id="configColumnGroupPhotoFileBox" style="border: 1px solid #e6e6e6;"></div>
                        <script id="configColumnGroupPhotoFileDownload" type="text/html">
                            {{# var fileName = 'configColumnGroupPhoto'; }}
                            {{# if(d[fileName].length > 0) { }}
                            {{#    var files = d[fileName];}}
                            {{#    for(var i = 0, item = files[i]; item = files[i++];) { }}
                            <div class="upload-image-box">
                                <span class="upload-image-span">
                                    <img src="route/file/download/false/{{item.fileId}}" align="加载失败">
                                </span>
                                <a class="layui-btn layui-btn-xs layui-btn-danger text-danger remove-image" href="javascript:void(0);" lay-form-button data-id="{{item.fileId}}" data-name="{{fileName}}" lay-filter="configColumnGroupPhotoRemoveFile">
                                    <i class="fa fa-trash-o"></i>
                                </a>
                            </div>
                            {{#    } }}
                            {{# } }}
                            {{# if(d[fileName].length < 1) { }}
                            <div class="upload-image-box" style="width: auto; height: auto; padding: 5px;">
                                <a href="javascript:void(0);" lay-form-button data-explain="图标" data-name="configColumnGroupPhoto" lay-filter="configColumnGroupPhotoUploadFile">
                                    <i class="fa fa-plus-square-o" style="font-size: 70px;"></i>
                                </a>
                            </div>
                            {{# } }}
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-row ">
                    <div class="layui-col-lg6" >
                        <label class="layui-form-label">编号<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="configColumnGroupCode" name="configColumnGroupCode" class="layui-input" value="" placeholder="请输入栏目组编号"  maxlength="100">
                        </div>
                    </div>
                    <div class="layui-col-lg6" >
                        <label class="layui-form-label">名称<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="configColumnGroupName" name="configColumnGroupName" class="layui-input" value="" placeholder="请输入栏目组名称"  maxlength="100">
                        </div>
                    </div>
                </div>

                <div class="layui-form-item layui-row " pane >
                    <div class="layui-col-lg6" >
                        <label class="layui-form-label">排列方式<span style="color: red">*</span></label>
                        <div class="layui-input-block layui-form" >
                            <input type="radio"  lay-verify="required" name="configColumnGroupDirection" lay-filter="configColumnGroupDirectionFilter" value="1" title="横向">
                            <input type="radio" lay-verify="required" name="configColumnGroupDirection" lay-filter="configColumnGroupDirectionFilter" value="2"  title="纵向">
                            <input type="radio" lay-verify="required" name="configColumnGroupDirection" lay-filter="configColumnGroupDirectionFilter" value="3"  title="引导页">
                        </div>
                    </div>
                    <div class="layui-col-lg6" id="configColumnGroupStyleDiv" style="display: none;">
                        <label class="layui-form-label">引导页样式<span style="color: red">*</span></label>
                        <div class="layui-input-block layui-form"  id="configColumnGroupStyleSelectTemplateBox"  lay-filter="configColumnGroupStyleSelectTemplateBox"> </div>
                        <script id="configColumnGroupStyleSelectTemplate" type="text/html">
                            <select id="configColumnGroupStyle" name="configColumnGroupStyle">
                                <option value="">请选择引导页样式</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataId}}">{{item.dataName}}【{{item.dataSummary}}】</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane >
                    <div class="layui-col-lg6" >
                        <label class="layui-form-label">详情跳转<span style="color: red">*</span></label>
                        <div class="layui-input-block layui-form">
                            <input type="radio"  lay-verify="required" name="configColumnGroupTargetMode" value="4" lay-filter="configColumnGroupTargetModeFilter" title="栏目列表">
                            <input type="radio"  lay-verify="required" name="configColumnGroupTargetMode" value="1" lay-filter="configColumnGroupTargetModeFilter"  title="小程序页面">
                            <input type="radio" lay-verify="required" name="configColumnGroupTargetMode" value="2" lay-filter="configColumnGroupTargetModeFilter"   title="其他小程序">
                            <input type="radio" lay-verify="required" name="configColumnGroupTargetMode" value="3" lay-filter="configColumnGroupTargetModeFilter"   title="网址">
                        </div>
                    </div>
                    <div class="layui-col-lg6" id="configColumnGroupTargetUrlDiv" style="display: none;" >
                        <label class="layui-form-label">详情地址</label>
                        <div class="layui-input-block layui-form"  id="configColumnGroupTargetUrlSelectTemplateBox"  lay-filter="configColumnGroupTargetUrlSelectTemplateBox"  > </div>
                        <script id="configColumnGroupTargetUrlSelectTemplate" type="text/html">
                            <select id="configColumnGroupTargetUrl" name="configColumnGroupTargetUrl">
                                <option value="">请选择详情地址</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.dataName}}">{{item.dataName}}【{{item.dataSummary}}】</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-row" pane >
                    <div class="layui-col-lg6" >
                        <label class="layui-form-label">显示状态<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="radio"  lay-verify="required" name="configColumnGroupStatus" value="1" title="显示">
                            <input type="radio" lay-verify="required" name="configColumnGroupStatus" value="0"  title="隐藏">
                        </div>
                    </div>
                    <div class="layui-col-lg6" >
                        <label class="layui-form-label">排序<span style="color: red">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="configColumnGroupOrder" name="configColumnGroupOrder" class="layui-input" value="" placeholder="请输入排序"  maxlength="500">
                        </div>
                    </div>
                </div>
               <div class="layui-form-item layui-row ">
                   <div class="layui-col-lg12" >
                       <label class="layui-form-label">说明</label>
                       <div class="layui-input-block">
                           <input type="text" id="configColumnGroupRemark" name="configColumnGroupRemark" class="layui-input" value="" placeholder="请输入说明"  maxlength="500">
                       </div>
                   </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 引导页样式
        function initConfigColumnGroupStyle() {
            top.restAjax.get(top.restAjax.path('api/data/listbyparentid/ce6a58c4-6449-4038-a171-a81bad3dc9b5', []), {}, null, function (code, data, args) {
                laytpl(document.getElementById('configColumnGroupStyleSelectTemplate').innerHTML).render(data, function (html) {
                    document.getElementById('configColumnGroupStyleSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'configColumnGroupStyleSelectTemplateBox');
            }, function (code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化详情跳转
        function initConfigColumnGroupTargetUrl() {
            top.restAjax.get(top.restAjax.path('api/data/listbyparentid/0330d094-0db2-4798-81d8-bb97462ef5bb', []), {}, null, function (code, data, args) {
                laytpl(document.getElementById('configColumnGroupTargetUrlSelectTemplate').innerHTML).render(data, function (html) {
                    document.getElementById('configColumnGroupTargetUrlSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'configColumnGroupTargetUrlSelectTemplateBox');
            }, function (code, data) {
                top.dialog.msg(data.msg);
            });
        }

        form.on('radio(configColumnGroupTargetModeFilter)', function(data) {
            if(data.value != 4) {
                initConfigColumnGroupTargetUrl()
                $("#configColumnGroupTargetUrlDiv").show();
                $("#configColumnGroupTargetUrl").val("");
            }else {
                $("#configColumnGroupTargetUrlDiv").hide();
            }
        });
        form.on('radio(configColumnGroupDirectionFilter)', function(data) {
            if(data.value != 3) {
                $("#configColumnGroupStyleDiv").hide();
                $("#configColumnGroupStyle").val("");
            }else {
                initConfigColumnGroupStyle();
                $("#configColumnGroupStyleDiv").show();
            }
        });




        // 初始化栏目组图图片上传
        function initConfigColumnGroupPhotoUploadFile() {
            var files = $('#configColumnGroupPhoto').val();
            initFileList('configColumnGroupPhoto', files, function(fileName) {
                var viewer = new Viewer(document.getElementById(fileName +'FileBox'), {navbar: false});
                viewerObj[fileName] = viewer;
            });

            form.on('button(configColumnGroupPhotoUploadFile)', function(obj) {
                var name = this.dataset.name;
                var explain = this.dataset.explain;
                top.dialog.file({
                    type: 'image',
                    title: '上传'+ explain,
                    width: '400px',
                    height: '420px',
                    maxFileCount: '1',
                    onClose: function() {
                        var uploadFileArray = top.dialog.dialogData.uploadFileArray;
                        if(typeof(uploadFileArray) != 'undefined' && uploadFileArray.length > 0) {
                            var files = $('#'+ name).val();
                            for(var j = 0, file = uploadFileArray[j]; file = uploadFileArray[j++];) {
                                if(files.length > 0) {
                                    files += ',';
                                }
                                files += file.data;
                            }
                            initFileList(name, files, function(fileName) {
                                viewerObj[fileName].update();
                            });
                        }
                    }
                });
            });

            form.on('button(configColumnGroupPhotoRemoveFile)', function(obj) {
                var name = this.dataset.name;
                var id = this.dataset.id;
                var files = $('#'+ name).val().replace(id, '');
                files = files.replace(/\,+/g, ',');
                if(files.charAt(0) == ',') {
                    files = files.substring(1);
                }
                if(files.charAt(files.length - 1) == ',') {
                    files = files.substring(0, files.length - 1);
                }
                initFileList(name, files, function(fileName) {
                    viewerObj[fileName].update();
                });
            });
        }

        function refreshDownloadTemplet(fileName, file) {
            var dataRander = {};
            dataRander[fileName] = file;

            laytpl(document.getElementById(fileName +'FileDownload').innerHTML).render(dataRander, function(html) {
                document.getElementById(fileName +'FileBox').innerHTML = html;
            });
        }

        // 初始化文件列表
        function initFileList(fileName, ids, callback) {
            var dataForm = {};
            dataForm[fileName] = ids;
            form.val('dataForm', dataForm);

            if(!ids) {
                refreshDownloadTemplet(fileName, []);
                if(callback) {
                    callback(fileName, []);
                }
                return;
            }

            top.restAjax.get(top.restAjax.path('api/file/list', []), {
                ids: ids
            }, null, function(code, data) {
                refreshDownloadTemplet(fileName, data);
                if(callback) {
                    callback(fileName, data);
                }
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化视频
        function initVideo(fileName, data) {
            for(var i = 0, item; item = data[i++];) {
                var player = new ckplayer({
                    container: '#'+ fileName + i,
                    variable: 'player',
                    flashplayer: false,
                    video: {
                        file: 'route/file/download/true/'+ item.fileId,
                        type: 'video/mp4'
                    }
                });
            }
        }

        // 初始化内容
        function initData() {
            initConfigColumnGroupPhotoUploadFile();
        }
        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.post(top.restAjax.path('api/configcolumngroup/save', []), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.commitSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>